none
preious frameworks RRS feed

  • Question

  • Hello: I have updated my pc with Microsoft .net Framework 4...can I remove the 3.0 and 2.0 versions?
    Monday, September 6, 2010 12:58 PM

Answers

  • The answer to your question depends on several factors:

    1. Are you a developer? If so, do you intend to develop .NET applications that target Framework 4.0 only? Even if your answer to both questions is "yes", you may well still need Framework 2.0/3.0/3.5 for applications that you use on your computer. See 2 below.

    2. Do you use any Windows software that needs a .NET Framework? The answer to this question is very probably "yes", and as 4.0 is quite new, the software you have installed may well need v 2.0/3.0/3.5 (Note: 2.0 and its extensions, 3.0 and 3.5 are a *single* full framework. You cannot have 3.0 or 3.5 without 2.0).

    The advice I give in situations like yours is to leave well enough alone. If you are trying to recover disc space, ask about safe ways to do so for your Windows version here:

    http://social.answers.microsoft.com/Forums/en-US/categories

     

    • Marked as answer by Larcolais Gong Monday, September 13, 2010 2:21 AM
    Monday, September 6, 2010 2:42 PM